REM Possible values for CWVERSION are 4.X, 4.1.X, 4.2.. 
set CWVERSION="4.2.2"

if %CWVERSION%=="4.2.2" call "%CROSSWORLDS%\bin\CWSharedEnv.bat

set PATH="%CROSSWORLDS%"\bin;%PATH%

REM set JAVA fore pre-4.2.2 releases.
if %CWVERSION%=="4.1.X" set JAVA="%CROSSWORLDS%"\lib\rt.jar
if %CWVERSION%=="4.2" set JAVA="%CROSSWORLDS%"\lib\rt.jar

REM set CWJAVA for the pre-4.2.2 releases.
if %CWVERSION%=="4.1.X" set CWJAVA="%CROSSWORLDS%\bin\java"
if %CWVERSION%=="4.2" set CWJAVA="%CROSSWORLDS%\bin\java"

set ODK_LIB="%CROSSWORLDS%"\lib\CwODK.jar
set XML_LIB="%CROSSWORLDS%"\lib\xerces.jar
set CONN_LIB="%CROSSWORLDS%"\lib\vbjorb.jar
set CW_LIB=%CROSSWORLDS%\lib\CrossWorlds.jar
set ORION_LIB=%CROSSWORLDS%\lib\cworion.jar
set WBIA_JAR=%CROSSWORLDS%\lib\WBIA.jar
set CONN_LIB="%CROSSWORLDS%"\lib\xrmi.jar
if %CWVERSION%=="4.1.X" set CONN_LIB="%CROSSWORLDS%"\lib\vbjorb.jar


REM Set the CONNECTION to XRmiAgent as the default.
REM The Corba connection is supported only for pre-4.2.0 releases.

REM set CONNECTION="XRmiAgent"
set CONNECTION="XRmiAgent"
if %CWVERSION%=="4.1.X" set CONNECTION="IdlAgentFactory"

set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar

REM set JAVA_SECURITY for pre-4.2.2 releases.
if %CWVERSION%=="4.1.X" set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar
if %CWVERSION%=="4.2" set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar


set JCLASSES=.;%JAVA%;%CW_LIB%;%CONN_LIB%;%ODK_LIB%;%XML_LIB%;%SSLJ%;%CERTJ%;%JSAFE%;%JAVA_SECURITY%;%ORION_LIB%


if %CONNECTION%=="IdlAgentFactory" set ORB_DEP=-DORBsyncGC=false -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton

REM Start the Object Discovery Agent
